- Passthrough Headers
- Generate signature
- Account Trade Auth
- Accounts
- Whale Record Agreement(同步签署协议状态)
- Get Account Trade Permission(获取账户交易权限)
- Update Account Trade Permission(更新账户权限)
- Retrieve Account Application Information(获取证券账户开户资料信息)
- Get Account List(获取用户账户列表)
- Get Account Request List(获取用户开户申请列表)
- Get Account Contact Info(获取账户联系方式)
- Get Account Status(获取账户状态)
- Get Account Bcan Information(获取账户 Bcan 信息)
- Query Account List V2(获取账户列表V2)
- Update Application(修改开户资料)
- Update Account State/Disable Account(修改账户状态 / 冻结账户)
- Submit Application V2(提交开户申请资料 V2)
- Update Application V2(修改开户资料 V2)
- Close Account(注销账户)
- Open additional account(增开账户)
- get account opening application information (开户申请信息获取)
- Query Account Risk And Pi Info(获取用户风险测评以及Pi信息)
- Asset
- Query Total Holdings(查询全量股票持仓)
- Query Account Cash Balance(账户现金查询)
- Query Total Cash(查询全量现金)
- Query Account Position(账户持仓查询)
- Account Cash Balance Adjustment(账户资金调账)
- Account Position Adjustment(账户持仓调账,只支持股票)
- Account Cash Balance Freeze(账户资金冻结)
- Account Cash Balance Unfreeze(账户资金解冻)
- Account Cash Balance Unfreeze Debit(账户资金解冻扣款)
- Account Stock Transaction History(账户股票流水)
- Account Cash Transaction History(账户资金流水)
- Account Stock Freeze Transaction History(账户股票冻结流水)
- Account Cash Freeze Transaction History(账户资金冻结流水)
- Query Limited Amount Information(限额信息查询)
- Query Buy Power(购买力查询)
- Query Short Sellable Quantity(可卖空数量查询)
- Query OB Account Cash Balance(账户现金详情查询)【定制非通用】
- Query Account Total Asset(账户资产查询)
- Query account risk limit config(查询用户限额信息)
- Query Account Total Asset OverView(账户资产总览)
- Query HashKey Cash List(查询hashkey的现金列表)
- Create account risk limit config(创建用户限额信息)
- Update account risk limit config(更新用户限额信息)
- Temp Adjust 临时调账新增
- Temp Adjust Expire 临时调账手动失效
- Get All Users Cash Balance (获取所有用户现金信息)
- Temporary Adjustment(临时调账)
- Billing
- Cash And Stocks Transfer
- Add Bank CardPOST
- Delete Bank CardDELETE
- Region BankGET
- Get User Bank Card ListGET
- User Card DetailGET
- Deposit DetailGET
- Submit Deposit ApplicationPOST
- Deposit Application ListGET
- Update Bank CardPUT
- Obtain the deposit informationGET
- Withdraw RecordsGET
- Withdraw DetailGET
- Cancel Withdraw ApplicationPOST
- Get ExchangeGET
- Cancel DepositPOST
- Submit Withdrawal ApplylicationPOST
- Information acquisition before withdrawal v3 (提现前信息获取V3)GET
- Update Bank CardPUT
- Submit Files For Review Withdraw CardPOST
- Currency ListGET
- Exchange records(兑换记录)GET
- Stock transfer out detail (查看转出详情)GET
- Stock transfer out records (查询转出记录)GET
- Transfer in detail (查看转入详情)GET
- Transfer in records (查询转入记录)GET
- File
- IPO
- Member Core
- Trade
- Trade Websocket Notification
- Historical Trade Detail Inquiry V2(历史成交明细查询V2)
- Trade Detail Inquiry V3(成交明细查询V3)
- Withdraw User Orders (批量撤销用户订单)
- Historical Order Inquiry (历史订单查询)
- Place Order (委托下单)
- Modify Order (修改订单)
- Withdraw Order (撤销订单)
- Order Details (订单详情)
- Today's Order Inquiry (当日订单查询)
- Estimated Maximum Purchase Quantity (预估最大购买数量)
- Today's Trade Detail Inquiry (当日成交明细查询)
- Historical Trade Detail Inquiry (历史成交明细查询)
- Message
- Search
- Reward Center
- OpenAPI
Deposit Detail
GET
/v1/whaleapi/portfolio/deposit/detail
Cash And Stocks Transfer
Request
Authorization
Query Params
id
string
required
Example:
1
account_no
string
required
Responses
🟢200OK
*/*
Body
code
number
optional
message
string
optional
datas
object
optional
id
number
optional
currency
string
optional
amount
string
optional
order_id
string
optional
created_at
number
optional
state
string
optional
to_bank_id
number
optional
to_bank_name
string
optional
user_bank_account
string
optional
user_bank_name
string
optional
reference_no
string
optional
state_code
number
optional
can_cancel
boolean
optional
vochers
array [object {2}]
optional
lb_bank_name
string
optional
lb_bank_account
string
optional
account_at
number
optional
receivable_amount
string
optional
client_to_see_remark
boolean
optional
remark
string
optional
need_modify_field_type
number
optional
Example:
0
Example
{
"code": 0,
"message": "string",
"datas": {
"id": 0,
"currency": "string",
"amount": "string",
"order_id": "string",
"created_at": 0,
"state": "string",
"to_bank_id": 0,
"to_bank_name": "string",
"user_bank_account": "string",
"user_bank_name": "string",
"reference_no": "string",
"state_code": 0,
"can_cancel": true,
"vochers": [
{
"key": "string",
"img_url": "string"
}
],
"lb_bank_name": "string",
"lb_bank_account": "string",
"account_at": 0,
"receivable_amount": "string",
"client_to_see_remark": true,
"remark": "string",
"need_modify_field_type": 0
}
}Modified at 2026-04-09 08:59:44